Bug 88210 - Allow configuration of FullTextType allowed files
Allow configuration of FullTextType allowed files
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Search
5.x
All All
: P3 with 1 vote (vote)
: 7.3
Assigned To: Jaroslav Havlin
issues@utilities
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 10:11 UTC by ijbrown
Modified: 2012-08-11 02:37 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ijbrown 2006-10-30 10:11:46 UTC
The FullTextType class has a hard-coded list of mime types that it supports. 
As a module writer, I wish to add support for a new mime type in the 
application/x-blahblah space. I want to be able to register that with the 
search system so that it can be the target of the full text search. Currently 
there is no way to do this other than make the MIME type live under 
text/blahblah.

For more details, see the mail thread here:

http://www.nabble.com/How-to-extend-FullTextType-tf2453128.html

Ian
Comment 1 Jaroslav Havlin 2012-08-09 10:21:42 UTC
http://hg.netbeans.org/core-main/rev/4617d1cc5ea3

Instead of making list of MIME types that can be searched, improving detection of text files.

Thanks for reporting.
Comment 2 Quality Engineering 2012-08-11 02:37:35 UTC
Integrated into 'main-golden', will be available in build *201208110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4617d1cc5ea3
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #88210: Search in textual files with MIME type starting with applicatoin/x-


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo